/* RESET */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/*BODY*/

 body {
    font-family: 'Inter', sans-serif;
    color: #e2e0e0; 
    background-color: #000000;  
 }

/* HEADER */

 header {
    display: flex; 
    justify-content: space-between;
    align-items: center;
    padding: 20px;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 2;
    background-color: rgb(8, 8, 8);
 }

/* NAV */

  nav {
    width: 100%;
  }

  nav ul {
    list-style: none;
    max-width: none;
    display: flex;
    padding: 10px;
    color: #e2e0e0;
    justify-content: space-between;
    padding: 0;
  }

  nav a {
    display: inline-block;
    text-decoration: none;
    color: #e2e0e0;
    font-size: 28px;
    font-weight:bold;
    transition: all 0.3s ease;
  }

  nav a:hover {
    color: #8b0000;
    transform: scale(1.1);
  }

  .spotify {
    color: white;
  }

  .spotify:hover {
    color: #1DB954; /* verde Spotify */
  }

/* MAIN */

  main {
    max-width: 2000px;
    margin: 80px auto 0 auto; 
    padding: 0 20px;
    margin-left: 10px;
  }

/* BIO */

  #biografia {
    max-height: 1300px;
    background-image: 
       linear-gradient(to right, rgba(0,0,0,0.8), rgba(0,0,0,0)),
        url("../images/1Hero.jpeg");
    background-size: cover;
    background-repeat: no-repeat;
    display: flex;
    align-items: center;
  }

  .img-bio {
    display: none;
  }

  .bio-p {
    color: white;
    max-width: 800px;
    font-size: 24px;
  }

  .bio-p h1 {
    font-size: 40px;
  }

/* PROYECTOS MUSICALES*/

  #proyectos-musicales h2 {
    font-size: 40px;
    text-align: center;
    padding: 40px 0;
    margin: 0;
  }

  .conteiner-ep {
    display: flex;
    align-items: center;
    justify-content: center; 
    gap: 30px; 
  }

  .conteiner-ep img {
     width: 500px;
  }

  .conteiner-ep p {
    font-size: 24px;
    margin-left: 0;       
    min-width: unset;     
    max-width: 1200px;     
  }

/* TRACKLIST OFICIAL */

  .canciones {
    max-width: 1800px;
    margin: 0 auto; 
  }

  .canciones p {
    font-size: 26px;
    padding: 55px;
  }

  .canciones a {
    margin-left: 25px;
    background: #8b0000;
    color: white;
    padding: 18px 26px;
    text-decoration: none;
    border-radius: 40px;
    font-size: clamp(16px, 4vw, 22px);
    transition: 0.5s;
    font-size: 28px;
  }

  .canciones a:hover  {
    background: #6e0707;
    transform: scale(1.1);
  }

  .link-altibajos {
  text-align: center;
  }

  .link-altibajos a {
    margin-left: 25px;
    background: #8b0000;
    color: white;
    padding: 18px 26px;
    text-decoration: none;
    border-radius: 40px;
    font-size: clamp(16px, 4vw, 22px);
    transition: 0.5s;
    font-size: 28px;
  }

  .link-altibajos a:hover {
    background: #6e0707;
    transform: scale(1.1);
  }

/* SHOWS */

  #shows h2 {
    margin-top: 15px;
    font-size: 45px;
    padding: 50px;
    text-align: center;
  }

  .galeria-de-imagenes {
    padding: 60px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
  }

  .galeria-de-imagenes img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  .grande {
   grid-column: span 2;
  }

/* FOOTER */

  footer {
    color: white;
    text-align: center; 
    padding: 30px 20px;
  }

  footer p { 
    margin-bottom: 15px; 
    font-size: 22px; 
    color: #B0B8C1; 
  }

  .redes-sociales{
    display: flex; 
    justify-content: center; 
    gap: 20px; 
  }

  .icono {
    filter: invert(1);
    cursor: pointer;
  }

  .icono img:hover { 
    transform: scale(1.2); 
    opacity: 0.8; 
  }

/* BOTON SPOTIFY */

  .btn-spotify {
    position: fixed;
    bottom: 20px;
    right: 20px;
    background-color: #1DB954; /* verde Spotify */
    color: white;
    font-size: 24px;
    width: 60px;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    text-decoration: none;
    box-shadow: 0 4px 10px rgba(0,0,0,0.3);
    transition: transform 0.3s;
  }

  .btn-spotify:hover {
    transform: scale(1.1);
  }

  .btn-spotify img {
    width: 42px;
    height: 42px;
    max-width: 100%;
  }


/* =========================
   📲 TABLET (≤1024px)
========================= */


@media (max-width: 1024px) {

  /* NAV */

    nav ul {
      gap: 25px;
      justify-content: space-between;
      padding: 0;
    }

    nav a {
      font-size: 22px;
    }

  /* BIO */

    #biografia {
      flex-direction: column;
      align-items: flex-start; 
      text-align: left;
      background-position: right center;
      max-height: 1400px;
    }

    .bio-p {
      max-width: 50%;
      font-size: 22px;
    }

  /* PROYECTOS MUSICALES */

    .conteiner-ep {
        flex-direction: row;
        align-items: center;
        justify-content: center;
        gap: 20px;
        max-width: 850px;
    }
    
    .conteiner-ep img {
        width: 50%;
        max-width: 350px;
    }

    .conteiner-ep p {
        min-width: 250px;
        font-size: 20px;
    }

}

/* =====================================
   AJUSTE FINO BACKGROUND IMAGE (≤1024px)
======================================== */

@media (max-width: 1024px) {

/* BIO */

  #biografia {
    background-position: 80% center;
  }

}

/* =========================
   📲 MOBILE (≤768px)
========================= */

@media (max-width: 768px) {

 /* NAV */

    nav ul {
      gap: 12px;
      justify-content: space-between;
      padding: 0;
    }

    nav a {
      font-size: 14px;
    }

  /* BIO */
 
    #biografia {
      display: flex;
      flex-direction: column;
      align-items: flex-start; 
      background-image: none; 
    }
    
    .bio-p {
      max-width: 600px;
      margin: 0 auto;
      font-size: 16px;
    }

    .bio-p h1 {
      text-align: center;
      font-size: 30px;
      padding: 0px;
    }

    .img-bio {
      display: block; 
      width: 100%;
      max-width: 350px;
      margin: 20px 0;
    }

 /* EP (se apila bien) */

    #proyectos-musicales h2 {
      font-size: 26px;
    }

    .conteiner-ep {
      flex-direction: column;
      align-items: center;
      gap: 20px;
    }

    .conteiner-ep img {
      width: 100%;
      max-width: 250px;
    }

    .conteiner-ep p {
      width: 100%;
      font-size: 16px;
    }

 /* TRACKLIST */

    .canciones {
      max-width: 100%;
      margin: 10px;
    }

    .canciones p {
      font-size: 16px;
      padding: 20px 10px;
    }

    .canciones a {
      margin-left: 5px;
      padding: 12px 18px;
      font-size: 20px;
    }

    .link-altibajos a {
      padding: 10px 10px;
      font-size: 13px;
    }

  /* SHOWS */

    #shows h2 {
      font-size: 30px;
    }

    .galeria-de-imagenes {
      padding: 10px;
      gap: 10px;
    }

    footer {
      padding: 10px 10px;
    }

    footer p { 
      font-size: 16px; 
    }

    .icono img {
      width: 20px;
    }

    .btn-spotify {
      width: 40px;
      height: 40px;
    } 

    .btn-spotify img {
      width: 30px;
      height: 30px;
    }

}
/* =====================================
   AJUSTE FINO NAV (≤355px)
======================================== */

@media (max-width: 355px) {

  /* NAV */

   nav ul {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 8px;
  }

}
